dots.v2.apps.byApp_Id().jobInvocations.get()

Generated on 5 Nov 2026 from DoTs version v1.23.0

Usage

client.v2.apps.byApp_Id(app_Id).jobInvocations.get(requestConfiguration?: RequestConfiguration<JobInvocationsRequestBuilderGetQueryParameters>): Promise<undefined | App_job_invocations>

Description

List all job invocations for an app.

Parameters

Path Parameters

app_Id string required

Example: 4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf

The app ID

Query Parameters

jobNames array of strings optional

Example: ["component1", "component2"]

The job names to list job invocations for.

deploymentId string optional

Example: 3aa4d20e-5527-4c00-b496-601fbd22520a

The deployment ID

page integer optional

Example: 1

Which 'page' of paginated results to return.

Default: 1

Min: 1

perPage integer optional

Example: 2

Number of items returned per page

Default: 20

Min: 1

Max: 200

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.apps
    .byApp_Id("4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf").jobInvocations.get();

Pagination

This method returns paginated results. The response includes a links.pages object with URLs for navigating between pages. To retrieve the next page, parse the next URL and pass the page query parameter:

let response = await client.v2.apps
    .byApp_Id("4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf").jobInvocations.get();
let pages = response?.links?.pages;

while (pages && "next" in pages && typeof pages.next === "string") {
    const page = Number(new URL(pages.next).searchParams.get("page"));
    response = await client.v2.apps
        .byApp_Id("4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf").jobInvocations.get({
        queryParameters: {
            page,
        },
    });
    pages = response?.links?.pages;
}

Response Example

Show Response Example
{
  "job_invocations": [
    {
      "id": "ba32b134-569c-4c0c-ba02-8ffdb0492ece",
      "job_name": "good-job",
      "deployment_id": "c020763f-ddb7-4112-a0df-7f01c69fc00b",
      "phase": "SUCCEEDED",
      "created_at": "2025-09-11T11:04:05Z",
      "started_at": "2025-09-11T11:04:10Z",
      "completed_at": "2025-09-11T11:04:40Z",
      "trigger": {
        "type": "SCHEDULE",
        "properties": {
          "type": {
            "type": "string"
          },
          "scheduled": {
            "type": "object",
            "properties": {
              "schedule": {
                "type": "object",
                "properties": {
                  "cron": {
                    "type": "string",
                    "example": "*/2 * * * *"
                  },
                  "time_zone": {
                    "type": "string",
                    "example": "UTC"
                  }
                }
              }
            }
          }
        }
      }
    }
  ]
}

More Information

See /v2/apps/{app_id}/job-invocations in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.